This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 204805 - rawhide install fails on ppc64
rawhide install fails on ppc64
Status: CLOSED DUPLICATE of bug 205450
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 13:41 EDT by Don Zickus
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 10:21:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Don Zickus 2006-08-31 13:41:44 EDT
Description of problem:
Today's rawhide fails to install on a ppc64 machine.  Basically, anaconda dies
after I click OK on the screen that informs me where I can see the log output of
the install process.  

So it initializes the disk, resolves the package dependencies, and falls over.  

Version-Release number of selected component (if applicable):


How reproducible:
Well once so far. My disk was formatted so it is hard to reproduce.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
fails to install

Expected results:

A successful install
Additional info:

I was using a serial console to install on one of these ibm quad power5 machines
There is no video card.
Comment 1 Jeremy Katz 2006-09-06 01:43:07 EDT
Can you actually provide the traceback you received?  What you gave is kind of
like saying "it oopsed"... ;-)
Comment 2 Don Zickus 2006-09-06 15:30:40 EDT
Sorry, I was being lazy and just hoped this problem applied to all powerpcs.  I
managed to duplicate this because no other distro besides rhel-4 will install on
this machine (thanks dac960).  

               ┌────────────┤ Exception Occurred ├─────────────┐
               │                                               │
               │ Traceback (most recent call last):          ↑ │
               │   File "/usr/bin/anaconda", line 944, in ?  ▮ │
               │     anaconda.intf.run(anaconda)             ▒ │
               │   File "/usr/lib/anaconda/text.py", line    ▒ │
               │ 540, in run                                 ▒ │
               │     anaconda.dispatch.gotoNext()            ▒ │
               │   File "/usr/lib/anaconda/dispatch.py",     ▒ │
               │ line 123, in gotoNext                       ▒ │
               │     self.moveStep()                         ▒ │
               │   File "/usr/lib/anaconda/dispatch.py",     ▒ │
               │ line 200, in moveStep                       ▒ │
               │     rc = stepFunc(self.anaconda)            ↓ │
               │                                               │
               │    ┌────┐       ┌────────┐      ┌───────┐     │
               │    │ OK │       │ Remote │      │ Debug │     │
               │    └────┘       └────────┘      └───────┘     │
               │                                               │
               │                                               │
               └───────────────────────────────────────────────┘

  <Tab>/<Alt-Tab> between elements   |  <Space> selects   |  <F12> next screen
Comment 3 Don Zickus 2006-09-06 15:32:47 EDT
Hey look there's more


               ┌────────────┤ Exception Occurred ├─────────────┐
               │                                               │
               │     rc = stepFunc(self.anaconda)            ↑ │
               │   File "/usr/lib/anaconda/backend.py",      ▒ │
               │ line 154, in doPostSelection                ▒ │
               │     return                                  ▮ │
               │ anaconda.backend.doPostSelection(anaconda)  ▒ │
               │   File "/usr/lib/anaconda/yuminstall.py",   ▒ │
               │ line 952, in doPostSelection                ▒ │
               │     (code, msgs) =                          ▒ │
               │ self.ayum.buildTransaction()                ▒ │
               │   File                                      ▒ │
               │ "/usr/lib/python2.4/site-packages/yum/__in  ▒ │
               │ it__.py", line 420, in buildTransaction     ↓ │
               │                                               │
               │    ┌────┐       ┌────────┐      ┌───────┐     │
               │    │ OK │       │ Remote │      │ Debug │     │
               │    └────┘       └────────┘      └───────┘     │
               │                                               │
               │                                               │
               └───────────────────────────────────────────────┘

               ┌────────────┤ Exception Occurred ├─────────────┐
               │                                               │
               │     (rescode, restring) =                   ↑ │
               │ self.resolveDeps()                          ▒ │
               │   File "/usr/lib/anaconda/yuminstall.py",   ▒ │
               │ line 261, in resolveDeps                    ▒ │
               │     unresolved = self.tsCheck(unresolved)   ▒ │
               │   File "/usr/lib/anaconda/yuminstall.py",   ▒ │
               │ line 287, in tsCheck                        ▮ │
               │     dep = self._provideToPkg(req)           ▒ │
               │   File "/usr/lib/anaconda/yuminstall.py",   ▒ │
               │ line 234, in _provideToPkg                  ▒ │
               │     if po.name not in satisfiers:           ▒ │
               │   File                                      ↓ │
               │                                               │
               │    ┌────┐       ┌────────┐      ┌───────┐     │
               │    │ OK │       │ Remote │      │ Debug │     │
               │    └────┘       └────────┘      └───────┘     │
               │                                               │
               │                                               │
               └───────────────────────────────────────────────┘

               ┌────────────┤ Exception Occurred ├─────────────┐
               │                                               │
               │ "/usr/lib/python2.4/site-packages/yum/pack  ↑ │
               │ ages.py", line 207, in __eq__               ▒ │
               │     if comparePoEVR(self, other) == 0:      ▒ │
               │   File                                      ▒ │
               │ "/usr/lib/python2.4/site-packages/yum/pack  ▒ │
               │ ages.py", line 36, in comparePoEVR          ▒ │
               │     (e2, v2, r2) = (po2.epoch, po2.ver,     ▒ │
               │ po2.rel)                                    ▒ │
               │ AttributeError: 'str' object has no         ▒ │
               │ attribute 'epoch'                           ▒ │
               │                                             ▮ │
               │                                             ↓ │
               │                                               │
               │    ┌────┐       ┌────────┐      ┌───────┐     │
               │    │ OK │       │ Remote │      │ Debug │     │
               │    └────┘       └────────┘      └───────┘     │
               │                                               │
               │                                               │
               └───────────────────────────────────────────────┘

Comment 4 Chris Lumens 2006-09-07 10:21:10 EDT
This should be fixed in today's tree.

*** This bug has been marked as a duplicate of 205450 ***

Note You need to log in before you can comment on or make changes to this bug.